org.h2.expression

## Interface ParameterInterface

All Known Implementing Classes:
  Parameter, ParameterRemote

    public interface ParameterInterface

The interface for client side (remote) and server side parameters.

### Method Summary

Methods
`void` `checkSet()` Check if the value is set.
`int` `getNullable()` Check if this column is nullable.
`Value` `getParamValue()` Get the value of the parameter if set.
`long` `getPrecision()` Get the expected precision of this parameter.
`int` `getScale()` Get the expected scale of this parameter.
`int` `getValueType()` Get the expected data type of the parameter if no value is set, or the data type of the value if one is set.
`boolean` `isValueSet()` Is the value of a parameter set.
`void` `setValue(Value value, boolean closeOld)` Set the value of the parameter.

### Method Detail

#### setValue

    void setValue(Value value,
                boolean closeOld)

Set the value of the parameter.

Parameters:
  `value` - the new value
  `closeOld` - if the old value (if one is set) should be closed

#### getParamValue

    Value getParamValue()

Get the value of the parameter if set.

Returns:
  the value or null

#### checkSet

    void checkSet()
                  throws DbException

Check if the value is set.

Throws:
  `DbException` - if not set.

#### isValueSet

    boolean isValueSet()

Is the value of a parameter set.

Returns:
  true if set

#### getValueType

    int getValueType()

Get the expected data type of the parameter if no value is set, or the data type of the value if one is set.

Returns:
  the data type

#### getPrecision

    long getPrecision()

Get the expected precision of this parameter.

Returns:
  the expected precision

#### getScale

    int getScale()

Get the expected scale of this parameter.

Returns:
  the expected scale

#### getNullable

    int getNullable()

Check if this column is nullable.

Returns:
  Column.NULLABLE_*